## ros-bouncy-opencv-tests 2.0.3

=== debian/changelog ===
ros-bouncy-opencv-tests (2.0.3-0bionic) bionic; urgency=high

  * set zip_safe to avoid warning during installation
  * migrate launch to launch.legacy
  * fix exception of running launch after sourcing opencv_tests
  * Contributors: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 07 Aug 2018 00:00:00 -0000

ros-bouncy-opencv-tests (2.0.2-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 29 Jun 2018 00:00:00 -0000

ros-bouncy-opencv-tests (2.0.1-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 28 Jun 2018 00:00:00 -0000

ros-bouncy-opencv-tests (2.0.0-0bionic) bionic; urgency=high

  * port opencv_tests to ros2

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 25 Apr 2018 00:00:00 -0000

ros-bouncy-opencv-tests (1.12.7-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 12 Nov 2017 00:00:00 -0000

ros-bouncy-opencv-tests (1.12.6-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 11 Nov 2017 00:00:00 -0000

ros-bouncy-opencv-tests (1.12.5-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 05 Nov 2017 00:00:00 -0000

ros-bouncy-opencv-tests (1.12.4-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 29 Jan 2017 00:00:00 -0000

ros-bouncy-opencv-tests (1.12.3-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 04 Dec 2016 00:00:00 -0000

ros-bouncy-opencv-tests (1.12.2-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 24 Sep 2016 00:00:00 -0000

ros-bouncy-opencv-tests (1.12.1-0bionic) bionic; urgency=high

  * Support compressed Images messages in python for indigo
    - Add cv2_to_comprssed_imgmsg: Convert from cv2 image to compressed image ros msg.
    - Add comprssed_imgmsg_to_cv2:   Convert the compress message to a new image.
    - Add compressed image tests.
    - Add time to msgs (compressed and regular).
    add enumerants test for compressed image.
    merge the compressed tests with the regular ones.
    better comment explanation. I will squash this commit.
    Fix indentation
    fix typo mistage: from .imgmsg_to_compressed_cv2 to .compressed_imgmsg_to_cv2.
    remove cv2.CV_8UC1
    remove rospy and time depndency.
    change from IMREAD_COLOR to IMREAD_ANYCOLOR.
    - make indentaion of 4.
    - remove space trailer.
    - remove space from empty lines.
    - another set of for loops, it will make things easier to track. In that new set,  just have the number of channels in ([],1,3,4) (ignore two for jpg). from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721943
    - keep the OpenCV error message. from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721013
    add debug print for test.
    add case for 4 channels in test.
    remove 4 channels case from compressed test.
    add debug print for test.
    change typo of format.
    fix typo in format. change from dip to dib.
    change to IMREAD_ANYCOLOR as python code. (as it should).
    rename TIFF to tiff
    Sperate the tests one for regular images and one for compressed.
    update comment
  * Contributors: talregev

 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 11 Jul 2016 00:00:00 -0000

ros-bouncy-opencv-tests (1.12.0-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 18 Mar 2016 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.12-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 10 Mar 2016 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.11-0bionic) bionic; urgency=high

  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 31 Jan 2016 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.10-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 16 Jan 2016 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.9-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 29 Nov 2015 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.8-0bionic) bionic; urgency=high

  * simplify dependencies
  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 15 Jul 2015 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.7-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 14 Dec 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.6-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 16 Nov 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.5-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 21 Sep 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.4-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 27 Jul 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.3-0bionic) bionic; urgency=high

  * remove file whose functinality is now in cv_bridge
  * remove references to cv (use cv2)
  * Correct dependency from non-existent package to cv_bridge
  * Contributors: Isaac Isao Saito, Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sun, 08 Jun 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.2-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 28 Apr 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.1-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 16 Apr 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.11.0-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 15 Feb 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.10.15-0bionic) bionic; urgency=high



 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 07 Feb 2014 00:00:00 -0000

ros-bouncy-opencv-tests (1.10.14-0bionic) bionic; urgency=high

  * Contributors: Vincent Rabaud

 -- Ethan Gao <ethan.gao@linux.intel.com>  Sat, 23 Nov 2013 16:17:00 -0000


