=== debian/control ===
Source: ros-bouncy-opencv-tests
Section: misc
Priority: extra
Maintainer: Ethan Gao <ethan.gao@linux.intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-rclpy, ros-bouncy-ros-workspace, python3-all, python3-setuptools
Homepage: http://wiki.ros.org/opencv_tests
Standards-Version: 3.9.2

Package: ros-bouncy-opencv-tests
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-bouncy-cv-bridge, ros-bouncy-launch, ros-bouncy-rclpy, ros-bouncy-sensor-msgs, ros-bouncy-ros-workspace
Description: OpenCV tests for the Python and C++ implementations of CvBridge with Image message in ROS2.
